<!DOCTYPE html>
<html lang="cs">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Východ a západ Měsíce dnes ve světě</title>
<style type="text/css">
#wrapper {
    margin: 0 auto;
    text-align: center; 
}
table {
    margin: 0 auto;
    border-collapse: collapse;
    font-size: 1.4em;
}
td, th {
    border: solid 1px black;
    text-align: center; 
    padding: 0.5ex 2ex;
}
td.name {
    text-align: left;
    padding-left: 1ex;
}
</style>
</head>
<body>
<div id="wrapper">
<h1>Východ a západ Měsíce dnes ve světě</h1>
<h3>středoevropský (letní) čas</h3>

<table>
<tr><th>Místo</th><th>východ</th><th>západ</th></tr>
<?php
require_once("MoonRiSet.cls.php");

$location = array(
    "Severní pól" => array("lat" => 90.0, "lon" => 0),
    "Severní polární kruh, nultý poledník" => array("lat" => 66.5, "lon" => 0.0),
    "Moskva" => array("lat" => 55.8, "lon" => 37.6),
    "Londýn" => array("lat" => 51.5, "lon" => -0.1),
    "Praha" => array("lat" => 50.1, "lon" => 14.4),
    "New York" => array("lat" => 40.6, "lon" => -74.0),
    "Tokyo" => array("lat" => 35.7, "lon" => 139.8),
    "Los Angeles" => array("lat" => 34.1, "lon" => -118.2),
    "Rovník, nultý poledník" => array("lat" => 0.0, "lon" => 0.0),
    "Sydney" => array("lat" => -33.9, "lon" => 151.2),
    "Kapské Město" => array("lat" => -34.0, "lon" => 18.4),
    "Jižní polární kruh, nultý poledník" => array("lat" => -66.5, "lon" => 0),
    "Jižní pól" => array("lat" => -90.0, "lon" => 0.0)
);

foreach ($location as $name => $param) {
    $moon = new MoonRiSet($param["lat"] ,$param["lon"], "Europe/Prague");
    echo "<tr><td class=\"name\">{$name}</td>";

    if ($moon->rise["timestamp"] === true and $moon->set["timestamp"] === true)
        echo "<td colspan=2>vůbec nezapadá</td>";
    elseif ($moon->rise["timestamp"] === false and $moon->set["timestamp"] === false)
        echo "<td colspan=2>vůbec nevychází</td>";
    elseif ($moon->rise["timestamp"] === false)
        echo "<td>nevychází</td><td>{$moon->set["hh:mm"]}</td>";
    elseif ($moon->set["timestamp"] === true)
        echo "<td>{$moon->rise["hh:mm"]}</td><td>nezapadá</td>";
    else {
        echo "<td>{$moon->rise["hh:mm"]}";
        if ($moon->rise2["hh:mm"])
            echo "<br>{$moon->rise2["hh:mm"]}";
        echo "</td>";
        echo "<td>{$moon->set["hh:mm"]}";
        if ($moon->set2["hh:mm"])
            echo "<br>{$moon->set2["hh:mm"]}";
        echo "</td>";
    }
    echo "</tr>\n";
}
?>
</table>
<br>
Zpět na <a href="http://www.beda.cz/~jirkaj/moon-rise-set">Moon rise, set and transit - PHP Class</a>
</div>
</body>
</html>
